Skip to navigation

✨ Bulk unassign project members

Unassign project members in bulk. Pass selector fields via query parameters (all, included, excluded) and optional member filters (search, role, tags, last_activity__gte, last_activity__lte). For backward compatibility, a JSON body with bulk fields is still accepted.

Authentication

AuthorizationToken

The token (or API key) must be passed as a request header. You can find your user token on the User Account page in Label Studio. Example:

curl https://label-studio-host/api/projects -H “Authorization: Token [your-token]”

Path parameters

idintegerRequired

Query parameters

allbooleanOptional
Apply unassignment to all currently matched project members.
excludedstringOptional

Comma-separated list of user IDs to keep assigned when all=true.

includedstringOptional

Comma-separated list of user IDs to unassign when all=false.

last_activity__gtestringOptional

Filter by last activity (ISO 8601 formatted date). Only when all=True.

last_activity__ltestringOptional

Filter by last activity upper bound (ISO 8601 formatted date). Only when all=True.

rolestringOptional

Filter by role, project roles take precedence over organization roles. Only when all=True. (comma-separated values)

searchstringOptional

Search term for filtering members by name, email, or username. Only when all=True.

tagsstringOptional

Multiple values may be separated by commas. (comma-separated values)

tags_operatorstringOptional

How the tags ids combine: any (at least one tag), all (every tag, the default), none (no selected tag). Ignored without tags.

user_typestringOptional

Multiple values may be separated by commas. (comma-separated values)

Response

unassignmentsintegerOptional